angular.module('focaModalLogin')
    .controller('focaModalLoginController', [
        '$uibModalInstance', '$scope', 'parametros', 'focaModalLoginService', 'md5',
        function($uibModalInstance, $scope, parametros, focaModalLoginService, md5) {
            init();

            function init() {
                $scope.btnAceptar = parametros.btnAceptar;
                $scope.cuenta = parametros.cuenta;
                $scope.usuario = {
                    login: '',
                    pass: ''
                };

                if (parametros.tipo == 'Transportistas') {
                    $scope.usuario.login = parametros.cuenta.dni;
                }

                if (parametros.tipo == 'Cobradores' || parametros.tipo == 'Vendedores') {
                    $scope.usuario.login = parametros.cuenta.NUM;
                }
            }

            $scope.guardar = function() {
                var result = {
                    login: {
                        username: $scope.usuario.login,
                        password: md5.createHash($scope.usuario.pass),
                        activo: true
                    },
                    cuenta: {
                        tipo: parametros.tipo,
                        id: parametros.cuenta.id
                    }
                };
                
                if (parametros.cuenta.idLogin) {
                    result.login.id = parametros.cuenta.idLogin;      
                }

                focaModalLoginService.postLogin(result).then(function(data) {
                    $uibModalInstance.close(data);
                });
            };

            $scope.cancel = function() {
                $uibModalInstance.dismiss();
            };
        }
    ]);
